/* style switcher */

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
[role=button] {
    cursor: pointer;
}
.scroll-top i {
    font-size: 30px;
}

.fa-gear {
	src: url(ac-icon1.png);
}

.fa {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.fa-spin {
    -webkit-animation: fa-spin 2s infinite linear;
    animation: fa-spin 2s infinite linear;
}
@keyframes fa-spin {
0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
}
100% {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg);
}
}
.fa-angle-up::before {
    content: "\f106";
}
.scroll-top {
	display: none;
    position: fixed;
    bottom:130px;
    right: 0px;
    width: 50px;
    height: 45px;
    background-color: rgba(0, 0, 0, 0.5);
    text-align: center;
    border: 1px solid rgba(0, 0, 0, 0.5);
    color: #fff;
    /*display: none;*/
	visibility: hidden;
    z-index: 100;
    padding-top: 7px;
}

.scroll-top:hover {
    background-color: #66a3ff;
}
.styles {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.styles li {
    display: inline-block;
    margin: 5px 0;
}

.styles li div {
    margin: 2px;
}

.panel-con {
    margin-left: 20px;
    max-height: 300px;
    overflow-x: hidden;
    overflow-y: auto;
}

#style-switcher {
    background-color: #FFF;
	/*background-color: var(--coolheat-color);*/
    box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.08);
    left: -150px;
    position: fixed;
    top: 130px;
    width: 150px;
    z-index: 999;
	/*opacity: 0.8;*/
}

#style-switcher #hide-switcher {
    /*background-color: #26a65b;*/
	background-color: var(--coolheat-color);
	border-radius: 50%;
	color: #fff;
    display: table-cell;
	vertical-align: middle;
    font-size: 26px;
    height: 40px;
    position: absolute;
    right: -43px;
    text-align: center;
    text-decoration: none;
    top: 0px;
    width: 40px;
	opacity: 0.8;
}
#style-switcher #hide-switcher img {
	vertical-align: middle;
	margin-bottom: 5px;
}
#style-switcher h2 {
	background-color: var(--coolheat-color);
	color: #fff;
    font-family: "Open Sans", Helvetica, Arial, sans-serif;
    font-size: 14px;
    font-weight: bold;
    line-height: 40px;
    margin: 0;
    padding: 0 0 0 20px;
    text-transform: uppercase;
}

.style-color {
    height: 40px;
    width: 80px;
    /*margin: 0 0 20px;*/
    padding: 3px 10px 3px 10px;
	text-align:center; /*水平居中*/
	line-height:40px; /*跟高度一样*/
	color: #fff;
	font-weight: 900;
}

ul.styles {
    padding: 15px;
}

#style-switcher h3 {
    border-bottom: 1px solid #e0e0e0;
    color: #363636;
    font-family: "OpenSansRegular";
    font-size: 14px;
    font-weight: 600;
    margin: 10px 0 10px 1px;
    padding: 0 0 10px;
    text-transform: uppercase;
}

.colors {
    list-style: outside none none;
    margin: 0 0 20px;
    overflow: hidden;
    padding: 0;
}

.colors li {
    float: left;
    margin: 4px 2px 0;
}

.colors li a {
    border-radius: 1px;
    cursor: pointer;
    display: block;
    height: 29px;
    width: 29px;
}

.red {
    background: #f8504b none repeat scroll 0 0;
}

.skyblue {
    background: #0ac2d2 none repeat scroll 0 0;
}

.green {
    background: #1abc9c none repeat scroll 0 0;
}

.blue {
    background: #136597 none repeat scroll 0 0;
}

.orange {
    background: #ff7757 none repeat scroll 0 0;
}

.lightgreeen {
    background: #3b9636 none repeat scroll 0 0;
}

.default {
    background-color: #3399ff;
}

.color1 { 
    background-color: green; /*COOL color*/
}

.color2 {
    background-color: red; /*HEAT color*/
}

.color3 {
    background-color: blue; /*FAN color*/
}

.color4 {
    background-color: grey; /*OFF color*/
}

.color5 {
    background-color: #81CFE0;
}

.color6 {
    background-color: #22A7F0;
}

.color7 {
    background-color: #26A65B;
}

.color8 {
    background-color: #3FC380;
}

.color9 {
    background-color: #26C281;
}

.color10 {
    background-color: #F4D03F;
}

.color11 {
    background-color: #F5AB35;
}

.color12 {
    background-color: #6C7A89;
}

.layout-style select,
.header-style select,
.footer-style select,
.header-color input {
    border: 1px solid #ccc;
    border-radius: 0;
    color: #363636;
    cursor: pointer;
    font-size: 14px;
    height: 35px;
    margin: 2px 0 2px 2px;
    padding: 7px 5px;
    width: 164px;
}

.layout-style,
.header-style,
.header-color .footer-style {
    padding: 0 !important;
}

.colors li {
    float: left;
    margin: 4px 2px 0;
}

.colors li a {
    border-radius: 1px;
    cursor: pointer;
    display: block;
    height: 29px;
    width: 29px;
}

.bg1 {
    background-image: url("../images/bg1.jpg");
    ;
}

.bg2 {
    background-image: url("../images/bg2.png");
}

.bg3 {
    background-image: url("../images/bg3.png");
}

.bg4 {
    background-image: url("../images/bg4.png");
}

.bg5 {
    background-image: url("../images/bg5.png");
}



.pattern-con {
    width: 40px;
    height: 40px;
    float: left;
    overflow: hidden;
    margin-right: 10px;
    margin-bottom: 10px;
    background-color: #000;
    border: 1px solid #8a6d3b;
    cursor: pointer;
}

img.pattern-img {
    width: 100%;
    height: 100%;
}

.pattern-con.pattern-active {
    border: 1px solid #ff0a05;
}

.color-stye-active {
    border: 1px solid #ff0a05;
}
/* switcher-end */
